Subject: RE: [seamoby] WG Last Call: I-D ACTION:draft-seamoby-paging-probl em-statement-00.txt (Fwd)

From: "Hesham Soliman (ERA)" <[email-masked]>
Date: Mon, 12 Feb 2001 10:09:02 +0100

Hello Ram,

My basic comment was that the assumptions made in the draft
about the use of L3 information in regards to L2 is not 
correct. Hence, the definition of dormancy is not correct. This seems
to be the foundation of the entire draft.

Furthermore, mapping of L2 routing areas to L3 subnets can be done 
without L3 paging. Therefore, mandating L2 paging for
L3 paging to exist seems to remove the need for L3 paging 
altogether. 

I see from your response that you're trying to limit the scope
to existing wireless networks. I'm not sure whether that is 
the right thing to do. But regardless, that should not affect
the definition of dormancy. 

Regards,
Hesham

> -----Original Message-----
> From:	Ram Ramjee [SMTP:[email-masked]]
> Sent:	Monday, 12 February 2001 12:17
> To:	Hesham Soliman (ERA)
> Cc:	[email-masked]
> Subject:	Re: [seamoby] WG Last Call: I-D ACTION:draft-seamoby-paging-problem-statement-00.txt (Fwd)
> 
> Hesham,
> 
> We had a discussion on L3 paging vs L2 paging over the air. My
> understanding of the conclusion on that topic was that we would
> limit our scope to existing wireless networks (where doing L3 paging without
> physical/link layer support on the air-interface could result in power
> consumption inefficienies at the mobile
> host)...a few people did remark that signaling overhead could
> still be reduced in such a case, but, that was deemed to be
> of lesser importance.
> 
> Note that L3 paging may still be needed in the network, for eg.-,
> the case where multiple paging areas map onto one subnet.
> 
> Cheers,
> Ram
> 
> 
> "Hesham Soliman (ERA)" wrote:
> > 
> > Hello,
> > 
> > I have some initial comments on the draft and will follow that later
> > with some more detailed ones.
> > So here they are:
> > 
> > General comment: The assumption that L3 packets can only
> > be sent on certain channels is not correct. The whole draft
> > seems to be based on that assumption. I disagree with that
> > unless one of the team members can explain it better to me.
> > I'm sure this would have been discussed in detail.
> > 
> > "Dormant Mode -  A state in which a mobile can not receive IP
> >       packets, but may still be able to receive L2 signalling related to
> >       tracking the mobile's location. A mobile may transition out of
> >       dormant mode due to a lower layer interface message (possibly
> >       triggered by receipt of an IP packet) or a timer expiration. A
> >       dormant terminal may signal to the network when it changes paging
> >       area, but may delay the signal until the next time it wakes up
> >       (if, for example, the mobile is using a time-slotted dormant mode
> >       algorithm). Note that a terminal which is continuously listening
> >       to L2 for receipt of L3 packets is not in dormant mode. "
> > 
> > => This definition of dormant mode is not correct. A dormant mobile
> > is a mobile that can only receive information on certain channels
> > and not others. This has absolutely nothing to do with the nature
> > of this information or which layer it is adressing (L2 or L3).
> > For example in the cellular networks I'm half familiar with, a dormant
> > mobile can receive/send signalling messages on common channels.
> > A dormant mobile is a mobile that does not have a traffic channel
> > setup. Therfore saying that it can not receive L3 packets is not
> > true. Maybe in today's cellular networks the system designers
> > chose to send L3 signalling on traffic channels. But of course
> > that should NOT imply that this is the definition of dormancy.
> > After all there is no L3 paging in today's cellular networks.
> > 
> > In chapter 3:
> > 
> > "An L3 paging protocol is sensible only if L2 supports paging. In the
> >    absence of L2 paging, L3 paging achieves no reduction in power drain
> >    because the mobile is forced to monitor L2 for L3 paging messages."> 
> > 
> > => I dont see how this can be right ? This is a statement that simply
> > removes the need of L3 paging altogether. If you need L2 paging
> > then what's L3 paging needed for ??
> > 
> >    "Having the mobile constantly listen to L2 for L3 packets is NOT
> >    considered to be adequate L2 support, because it does not achieve
> >    enough power savings to be meaningful. "
> > 
> > => The mobile has to listen to L2 all the time. Again there is
> > an underlying assumption here that L3 packets are only sent
> > on certain bearers. That's a bad assuption IMO. If someone disagrees
> > with that then please explain why this is the case. I don't think
> > that sending L3 packets on other channels breaks any laws of
> > physics. Or maybe I missed something ?
> > 
> > The references to both V4 and V6 drafts are incorrect. There is
> > a new V6 draft that is completely different and is now the WG
> > draft in the MIP WG. We've been discussing it for a while now on
> > this list so please refer to it.
> > Also there is a new V4 draft that will also be the WG draft.
> > I guess I shouldn't need to remind the editor ;)
> > 
> > Regards,
> > Hesham

---

From: Ramachandran Ramjee <[email-masked]>
Date: Mon, 12 Feb 2001 21:54:48 +0000

Hello,

> the definition of dormancy.

I guess I am ok with expanding the scope. The main point
against expanding the scope was that this is the IETF and
not the IRTF...

Note that L3 paging is still useful in the wired access network
if radio access networks move to IP - for example, 
you get interoperability across different air interfaces 
through using L3 paging in the access networks as opposed to 
what is currently being done.

The dormancy  definition was written that way partly, I
think, to highlight the limitation we are working with.
Please feel free to suggest a more general definition.

Cheers,
Ram